Core - Feature # 34283

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:

Created: 2012-02-25 Assigned To:

Updated: 2012-02-27 Due date:

PHP Version: 53

Complexity:

Sprint Focus:

Subject: IRRE - Possibility to render custom header controls

Description

Render custom header controls by using a render function
defined in TCA field configuration customControls/userFunc

Associated revisions

Revision 2fe581e6 - 2012-02-26 21:11 - TYPO3 Release Team

[FEATURE] IRRE - Possibility to render custom header controls

Render custom header controls by using a render function
defined in TCA field configuration customControls/userFunc

Change-Id: 18a628c9434c540a1cc79156f3bcb4c35b1a3f1c3
Resolves: #34283

Releases: 4.7

Reviewed-on: http://review.typo3.org/9207

Reviewed-by: Ingmar Schlecht
Tested-by: Ingmar Schlecht
Reviewed-by: Steffen Ritter
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2012-02-25 22:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9207

#2 - 2012-02-25 23:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9207

#3 - 2012-02-26 15:12 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9207

#4 - 2012-02-26 15:17 - Georg Ringer

| would propose this change.

simplify the api by using $customControlConfig directly as input for t3lib_div::callUserFunction(). a call would then look like

'customControls' => array(

'fo' => 'EXT:news/Classes/Hooks/Test.php:Tx_News_Hooks_Test->user_fo',

instead of
‘customControls' => array(

'fo' => array(

'userFunc' => 'EXT:news/Classes/Hooks/Test.php:Tx_News_Hooks_Test->user_fo'

you see this is much easier.

customControlConfig is IMO not needed inside the hook because $config is added which includes the customcontrols too.

#5 - 2012-02-26 15:21 - Ingmar Schlecht

Good point, makes sense.

#6 - 2012-02-27 02:31 - TYPO3 Release Team
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:2fe581e6011c4fe80f5d567676632fbb0ab9f1bd.
